Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have a problem with xserver on my laptop. Ubuntu 12.04.1 is installed. First, I can boot only in terminal mode. When I try to start xserver with command startx it fails.

lspci | grep VGA output: 01:05.0 VGA compatible controller: Advanced Micro Devices [AMD] nee ATI Radeon Xpress 1250

xorg.0.log:


[  3947.214] 
X.Org X Server 1.11.3
Release Date: 2011-12-16
[  3947.223] X Protocol Version 11, Revision 0
[  3947.226] Build Operating System: Linux 2.6.42-26-generic i686 Ubuntu
[  3947.228] Current Operating System: Linux argentum 3.2.0-35-generic #55-Ubuntu SMP Wed Dec 5 17:45:18 UTC 2012 i686
[  3947.228] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-35-generic root=UUID=4ef621ed-26dd-46fd-80bc-b04ad5f18990 ro quiet splash vt.handoff=7
[  3947.232] Build Date: 29 August 2012  12:10:05AM
[  3947.235] xorg-server 2:1.11.4-0ubuntu10.8 (For technical support please see http://www.ubuntu.com/support) 
[  3947.237] Current version of pixman: 0.24.4
[  3947.241]    Before reporting problems, check http://wiki.x.org
    to make sure that you have the latest version.
[  3947.241] Markers: (--) probed, (**) from config file, (==) default setting,
    (++) from command line, (!!) notice, (II) informational,
    (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  3947.251] (==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan 12 22:16:17 2013
[  3947.253] (==) Using system config directory "/usr/share/X11/xorg.conf.d"
[  3947.253] (==) No Layout section.  Using the first Screen section.
[  3947.253] (==) No screen section available. Using defaults.
[  3947.253] (**) |-->Screen "Default Screen Section" (0)
[  3947.253] (**) |   |-->Monitor ""
[  3947.254] (==) No monitor specified for screen "Default Screen Section".
    Using a default monitor configuration.
[  3947.254] (==) Automatically adding devices
[  3947.254] (==) Automatically enabling devices
[  3947.254] (WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
[  3947.254]    Entry deleted from font path.
[  3947.254] (==) FontPath set to:
    /usr/share/fonts/X11/misc,
    /usr/share/fonts/X11/100dpi/:unscaled,
    /usr/share/fonts/X11/75dpi/:unscaled,
    /usr/share/fonts/X11/Type1,
    /usr/share/fonts/X11/100dpi,
    /usr/share/fonts/X11/75dpi,
    /var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
    built-ins
[  3947.254] (==) ModulePath set to "/usr/lib/i386-linux-gnu/xorg/extra-modules,/usr/lib/xorg/extra-modules,/usr/lib/xorg/modules"
[  3947.254] (II) The server relies on udev to provide the list of input devices.
    If no devices become available, reconfigure udev or disable AutoAddDevices.
[  3947.254] (II) Loader magic: 0x5475a0
[  3947.254] (II) Module ABI versions:
[  3947.254]    X.Org ANSI C Emulation: 0.4
[  3947.254]    X.Org Video Driver: 11.0
[  3947.254]    X.Org XInput driver : 16.0
[  3947.254]    X.Org Server Extension : 6.0
[  3947.255] (--) PCI:*(0:1:5:0) 1002:7942:144d:c034 rev 0, Mem @ 0xd0000000/134217728, 0xd8000000/65536, I/O @ 0x00009000/256
[  3947.255] (II) Open ACPI successful (/var/run/acpid.socket)
[  3947.255] (II) LoadModule: "extmod"
[  3947.256] (II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
[  3947.256] (II) Module extmod: vendor="X.Org Foundation"
[  3947.256]    compiled for 1.11.3, module version = 1.0.0
[  3947.256]    Module class: X.Org Server Extension
[  3947.256]    ABI class: X.Org Server Extension, version 6.0
[  3947.256] (II) Loading extension MIT-SCREEN-SAVER
[  3947.256] (II) Loading extension XFree86-VidModeExtension
[  3947.256] (II) Loading extension XFree86-DGA
[  3947.256] (II) Loading extension DPMS
[  3947.256] (II) Loading extension XVideo
[  3947.256] (II) Loading extension XVideo-MotionCompensation
[  3947.256] (II) Loading extension X-Resource
[  3947.256] (II) LoadModule: "dbe"
[  3947.256] (II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
[  3947.256] (II) Module dbe: vendor="X.Org Foundation"
[  3947.256]    compiled for 1.11.3, module version = 1.0.0
[  3947.256]    Module class: X.Org Server Extension
[  3947.256]    ABI class: X.Org Server Extension, version 6.0
[  3947.256] (II) Loading extension DOUBLE-BUFFER
[  3947.256] (II) LoadModule: "glx"
[  3947.257] (II) Loading /usr/lib/xorg/modules/extensions/libglx.so
[  3947.257] (II) Module glx: vendor="Advanced Micro Devices, Inc."
[  3947.257]    compiled for 6.9.0, module version = 1.0.0
[  3947.257] (II) Loading extension GLX
[  3947.257] (II) LoadModule: "record"
[  3947.258] (II) Loading /usr/lib/xorg/modules/extensions/librecord.so
[  3947.258] (II) Module record: vendor="X.Org Foundation"
[  3947.258]    compiled for 1.11.3, module version = 1.13.0
[  3947.258]    Module class: X.Org Server Extension
[  3947.258]    ABI class: X.Org Server Extension, version 6.0
[  3947.258] (II) Loading extension RECORD
[  3947.258] (II) LoadModule: "dri"
[  3947.258] (II) Loading /usr/lib/xorg/modules/extensions/libdri.so
[  3947.258] (II) Module dri: vendor="X.Org Foundation"
[  3947.258]    compiled for 1.11.3, module version = 1.0.0
[  3947.258]    ABI class: X.Org Server Extension, version 6.0
[  3947.258] (II) Loading extension XFree86-DRI
[  3947.258] (II) LoadModule: "dri2"
[  3947.258] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[  3947.259] (II) Module dri2: vendor="X.Org Foundation"
[  3947.259]    compiled for 1.11.3, module version = 1.2.0
[  3947.259]    ABI class: X.Org Server Extension, version 6.0
[  3947.259] (II) Loading extension DRI2
[  3947.259] (==) Matched fglrx as autoconfigured driver 0
[  3947.259] (==) Matched ati as autoconfigured driver 1
[  3947.259] (==) Matched vesa as autoconfigured driver 2
[  3947.259] (==) Matched fbdev as autoconfigured driver 3
[  3947.259] (==) Assigned the driver to the xf86ConfigLayout
[  3947.259] (II) LoadModule: "fglrx"
[  3947.259] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[  3947.283] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[  3947.283]    compiled for 1.4.99.906, module version = 8.95.3
[  3947.283]    Module class: X.Org Video Driver
[  3947.284] (II) Loading sub module "fglrxdrm"
[  3947.284] (II) LoadModule: "fglrxdrm"
[  3947.284] (II) Loading /usr/lib/xorg/modules/linux/libfglrxdrm.so
[  3947.284] (II) Module fglrxdrm: vendor="FireGL - ATI Technologies Inc."
[  3947.284]    compiled for 1.4.99.906, module version = 8.95.3
[  3947.284] (II) LoadModule: "ati"
[  3947.285] (WW) Warning, couldn't open module ati
[  3947.285] (II) UnloadModule: "ati"
[  3947.285] (II) Unloading ati
[  3947.285] (EE) Failed to load module "ati" (module does not exist, 0)
[  3947.285] (II) LoadModule: "vesa"
[  3947.285] (WW) Warning, couldn't open module vesa
[  3947.285] (II) UnloadModule: "vesa"
[  3947.285] (II) Unloading vesa
[  3947.285] (EE) Failed to load module "vesa" (module does not exist, 0)
[  3947.285] (II) LoadModule: "fbdev"
[  3947.286] (WW) Warning, couldn't open module fbdev
[  3947.286] (II) UnloadModule: "fbdev"
[  3947.286] (II) Unloading fbdev
[  3947.286] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  3947.286] (==) Matched fglrx as autoconfigured driver 0
[  3947.286] (==) Matched ati as autoconfigured driver 1
[  3947.286] (==) Matched vesa as autoconfigured driver 2
[  3947.286] (==) Matched fbdev as autoconfigured driver 3
[  3947.286] (==) Assigned the driver to the xf86ConfigLayout
[  3947.286] (II) LoadModule: "fglrx"
[  3947.286] (II) Loading /usr/lib/xorg/modules/drivers/fglrx_drv.so
[  3947.286] (II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
[  3947.286]    compiled for 1.4.99.906, module version = 8.95.3
[  3947.286]    Module class: X.Org Video Driver
[  3947.286] (II) LoadModule: "ati"
[  3947.287] (WW) Warning, couldn't open module ati
[  3947.287] (II) UnloadModule: "ati"
[  3947.287] (II) Unloading ati
[  3947.287] (EE) Failed to load module "ati" (module does not exist, 0)
[  3947.287] (II) LoadModule: "vesa"
[  3947.287] (WW) Warning, couldn't open module vesa
[  3947.287] (II) UnloadModule: "vesa"
[  3947.287] (II) Unloading vesa
[  3947.287] (EE) Failed to load module "vesa" (module does not exist, 0)
[  3947.287] (II) LoadModule: "fbdev"
[  3947.288] (WW) Warning, couldn't open module fbdev
[  3947.288] (II) UnloadModule: "fbdev"
[  3947.288] (II) Unloading fbdev
[  3947.288] (EE) Failed to load module "fbdev" (module does not exist, 0)
[  3947.288] (II) ATI Proprietary Linux Driver Version Identifier:8.95.3
[  3947.288] (II) ATI Proprietary Linux Driver Release Identifier: 8.951                                
[  3947.288] (II) ATI Proprietary Linux Driver Build Date: Mar  8 2012 23:06:36
[  3947.288] (--) using VT number 7

[  3947.293] (WW) Falling back to old probe method for fglrx
[  3947.293] (EE) Unable to initialize PCS database
[  3947.293] (EE)   Missing PCS defaults file /etc/ati/amdpcsdb.default
[  3947.293] (EE) No devices detected.
[  3947.293] 
Fatal server error:
[  3947.293] no screens found
[  3947.293] 
Please consult the The X.Org Foundation support 
     at http://wiki.x.org
 for help. 
[  3947.293] Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  3947.293] 

Seems, that I have a problem with AMD/ATI drivers. Is it possible to fix it?

Thanks.

share|improve this question
add comment

1 Answer 1

Try to uninstall fglrx drivers (the ATI Radeon Xpress 1250 card isn't supported by current version of fglrx).

sudo apt-get purge fgrlx or sudo apt-get purge fglrx-updates (the after-release updates)

After, ensure that radeon driver is installed. OSS packages are: xserver-xorg-video-radeon, libdrm-radeon1.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.